NUTSCAN_SCAN_AVAHI(3)

NAME
nutscan_scan_avahi - Scan network for NUT services via mDNS

SYNOPSIS

        #include <nut-scan.h>
        #include <unistd.h> /* useconds_t */
        nutscan_device_t * nutscan_scan_avahi(useconds_t usec_timeout);

DESCRIPTION

The nutscan_scan_avahi() function tries to detect the NUT service via mDNS, and its associated devices. It uses the Avahi library to do so.

You MUST call nutscan_init(3) before using this function.

This function can query perspective IP addresses using NUT protocol, and in this case it waits up to usec_timeout microseconds before considering an IP address to be unresponsive.

RETURN VALUE

The nutscan_scan_avahi() function returns a pointer to a nutscan_device_t structure containing all found devices.

It returns NULL if an error occurs, or if no device is found.

SEE ALSO

nutscan_init(3), nutscan_scan_usb(3), nutscan_scan_xml_http_range(3), nutscan_scan_nut(3), nutscan_scan_snmp(3), nutscan_scan_ipmi(3), nutscan_display_ups_conf(3), nutscan_display_sanity_check(3), nutscan_display_sanity_check_serial(3), nutscan_display_ups_conf_with_sanity_check(3), nutscan_display_parsable(3), nutscan_new_device(3), nutscan_free_device(3), nutscan_add_option_to_device(3), nutscan_add_device_to_device(3), nutscan_cidr_to_ip(3), nutscan_scan_eaton_serial(3)

  Internet resources:

http://avahi.org/